import type { ImperativeAdapter } from '@salesforce/lds-bindings';
import { refresh } from '@salesforce/lds-bindings';
export declare const refreshApex: typeof refresh;
/**
 * Imperative GET Apex Adapter.
 *
 * @param namespace a one- to 15-character alphanumeric identifier that distinguishes a package and its contents from other packages
 * @param classname name of class where method is defined
 * @param method name of method defining the Apex code
 * @param isContinuation used to specify if the Apex method is a Continuation
 * @returns an ImperativeAdapter that uses the GET endpoint
 */
export declare const getApexInvoker_imperative: (namespace: string, classname: string, method: string, isContinuation: boolean) => ImperativeAdapter<any, any>;
/**
 * Apex
 *
 * The Apex invoker is dual purpose; it can be invoked imperatively or be provided to an @wire
 * In order for this to work, LWC will look for the property "adapter" on the object, and check that
 * it conforms to the WireAdapter interface.
 */
export declare const getApexInvoker: (namespace: string, classname: string, method: string, isContinuation: boolean, isCacheable?: boolean) => any;
export { getSObjectValue } from './lds-apex-static-utils';
export { registerPrefetcher, type ApexInvokerParams, GetApexWireAdapterFactory } from './main';
